summaryrefslogtreecommitdiff
path: root/tests/acl
diff options
context:
space:
mode:
Diffstat (limited to 'tests/acl')
-rw-r--r--tests/acl18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/acl b/tests/acl
new file mode 100644
index 000000000..28995c18a
--- /dev/null
+++ b/tests/acl
@@ -0,0 +1,18 @@
+if ! getfacl --version 2> /dev/null 1>&2 || \
+ ! setfacl --version 2> /dev/null 1>&2 ; then
+ cat <<EOF 1>&2
+**************************************
+This test requires getfacl and setfacl.
+**************************************
+EOF
+ (exit 77); exit 77
+fi
+
+if ! grep '^bin:' /etc/passwd 2> /dev/null 1>&2 ; then
+ cat <<EOF 1>&2
+**************************************
+This test requires a local user named bin.
+**************************************
+EOF
+ (exit 77); exit 77
+fi